import { PoolConnection } from 'mysql2/promise';
import { type ConnectionReleaseStrategy } from './ConnectionReleaseStrategy';
import { ManagedConnection } from './ManagedConnection';
import { Logger } from './Logger';
export declare class Connection extends ManagedConnection {
    private releaseStrategy;
    /** INTERNAL, DO NOT USE DIRECTLY */
    constructor(poolConnection: PoolConnection, logger: Logger, releaseStrategy: ConnectionReleaseStrategy);
    /**
     * Release current connection back to the pool according to selected connection release strategy
     */
    release(): Promise<void>;
    /** INTERNAL, DO NOT USE DIRECTLY */
    private releaseToPool;
    /** Is the connection released */
    get isReleased(): boolean;
}
