import { Escapable, QueryParameters, QueryRawValue } from "./Queryable";
export declare abstract class Formatter {
    /**
     * Escape a value
     * @see https://github.com/mysqljs/mysql#escaping-query-values
     */
    static escape(value: Escapable): string;
    /**
     * Escape an identifier (e.g. table or column name) with backticks
     */
    static escapeId(id: string): string;
    /**
     * Format SQL replacing placeholders with appropriate parameters
     */
    static format(sql: string, parameters?: QueryParameters): string;
    /**
     * Get SQL as-is to be used as a parameter
     */
    static raw(sql: string): QueryRawValue;
}
