import { QueryParameters } from "./Queryable";
import { QueryResult } from "./QueryResult";
export interface Logger {
    /** Triggered once a new connection has been acquired from pool */
    acquire?(threadId: number): void;
    /** Triggered before a query is executed */
    query?(sql: string, parameters: QueryParameters | undefined, threadId: number): void;
    /** Triggered after a query returns a result */
    result?(queryResult: QueryResult, threadId: number): void;
    /** Triggered once a connection has been released */
    release?(threadId: number): void;
}
