import { QueryExecutor } from './QueryExecutor';
import { Transaction } from './Transaction';
import { TransactionOptions } from './TransactionOptions';
export declare class ManagedConnection extends QueryExecutor {
    /** Run "START TRANSACTION" query if not already in transaction (throws a QueryError otherwise) */
    startTransaction(mode?: 'READ' | 'WRITE'): Promise<void>;
    /** Run "COMMIT" query if in transaction (throws a QueryError otherwise) */
    commit(): Promise<void>;
    /** Run "ROLLBACK" query if in transaction (throws a QueryError otherwise) */
    rollback(): Promise<void>;
    /** Does the current connection have an active transaction */
    get hasActiveTransaction(): boolean;
    /** Run the handler in an automatically managed transaction */
    transaction<T>(handler: (tx: Transaction) => Promise<T>, options?: TransactionOptions): Promise<T>;
}
