import { QueryResultColumn } from "./QueryResultColumn";
export declare class QueryResult {
    private next;
    /** A list of columns of the result set (empty array if not a query result) */
    readonly columns: readonly QueryResultColumn[];
    /** A list of rows of the result set (empty array if not a query result) */
    readonly rows: readonly unknown[][];
    /** Last inserted identifier (i.e. LAST_INSERT_ID()) for an INSERT statement */
    readonly lastInsertId: string;
    /** A number of affected row for an UPDATE or DELETE statement */
    readonly affectedRows: number;
    /** A number of warnings produced by this query execution */
    readonly warningsCount: number;
    /** INTERNAL, DO NOT USE DIRECTLY */
    constructor(fields: any, data: any, next: QueryResult | null);
    get isResultSet(): boolean;
    /** Translate the result into an array of objects, optionally prefixing each field with table and/or schema name */
    asObjects(tableNameSeparator?: string, schemaNameSeparator?: string): {
        [k: string]: unknown;
    }[];
    /** Get the next result of a multi-statement query */
    getNextResult(): Promise<QueryResult>;
    /** Whether there may be a next result in a multi-statement query */
    get hasNextResult(): boolean;
}
