import { PoolConnection } from 'mysql2/promise';
import { Logger } from './Logger';
import { QueryParameters } from './Queryable';
import { QueryExecutor } from './QueryExecutor';
export declare class Transaction extends QueryExecutor {
    /** INTERNAL, DO NOT USE DIRECTLY */
    static start(poolConnection: PoolConnection, logger: Logger, mode?: 'READ' | 'WRITE'): Promise<Transaction>;
    /** INTERNAL, DO NOT USE DIRECTLY */
    static commit(tx: Transaction): Promise<void>;
    /** INTERNAL, DO NOT USE DIRECTLY */
    static rollback(tx: Transaction): Promise<void>;
    query(sql: string, parameters?: QueryParameters): Promise<import("./QueryResult").QueryResult>;
    get isActive(): boolean;
    private internalQuery;
}
